<?php
class ControllerextensionModuleevaluationeight extends Controller {
	public function index($setting) {
		$data['titlename'] = $setting['titlename'];
		$data['bgcolor'] = $setting['bgcolor'];
		$data['bgcolorcss'] = $setting['bgcolorcss'];
		$data['titlecss'] = $setting['titlecss'];
		$data['positioncss'] = $setting['positioncss'];
		$data['titlesmcss'] = $setting['titlesmcss'];
		$data['describe'] = $setting['describe'];
		$data['etncolor'] = $setting['etncolor'];
		$data['edcolor'] = $setting['edcolor'];
		$data['eotop'] = $setting['eotop'];
		$data['eob'] = $setting['eob'];
        $data['column'] = $setting['column'];
		$data['etlinew'] = $setting['etlinew'];
		$data['etlineh'] = $setting['etlineh'];
		$data['etlinec'] = $setting['etlinec'];
		$data['autoplay'] = $setting['autoplay'];
		$data['main'] = $setting['main'];
		$data['speed'] = $setting['speed'];
		$data['fade'] = $setting['fade'];
		$data['imground'] = $setting['imground'];
        $data['imgthumb'] = $setting['imgthumb'];	
        $data['imgshadow'] = $setting['imgshadow'];	
		$data['imgpadding'] = $setting['imgpadding'];
        $data['imgborder'] = $setting['imgborder'];	
        $data['imgcolor'] = $setting['imgcolor'];	
		$data['services'] = array();

		if (isset($setting['service']) && $setting['service']) {
			$this->load->model('tool/image');

			$services = $setting['service'];

			$sort_order = array();

			foreach ($services as $key => $value) {
				$sort_order[$key] = $value['sort_order'];
			}

			array_multisort($sort_order, SORT_ASC, $services);

			foreach ($services as $service) {
				$service_info = array();
				if (isset($service['title'][$this->config->get('config_language_id')])) {
					$service_info['title'] = trim($service['title'][$this->config->get('config_language_id')]);
				} else {
					$service_info['title'] = '';
				}

				if (isset($service['other'][$this->config->get('config_language_id')])) {
					$service_info['other'] = trim($service['other'][$this->config->get('config_language_id')]);
				} else {
					$service_info['other'] = '';
				}
				if (isset($service['text'][$this->config->get('config_language_id')])) {
					$service_info['text'] = trim($service['text'][$this->config->get('config_language_id')]);
				} else {
					$service_info['text'] = '';
				}
				if (isset($service['link'][$this->config->get('config_language_id')])) {
					$service_info['link'] = trim($service['link']);
				} else {
					$service_info['link'] = '';
				}

				if (isset($service['image']) && is_file(DIR_IMAGE . $service['image'])) {
					$service_info['image'] = $this->model_tool_image->resize($service['image'], 40, 40);
				} else {
					$service_info['image'] = $this->model_tool_image->resize('placeholder.png', 40, 40);
				}

				$data['services'][] = $service_info;
			}
		}

		if ($data['services']) {
			if (file_exists(DIR_TEMPLATE . $this->config->get('config_template') . 'extension/module/evaluationeight.tpl')) {
				return $this->load->view($this->config->get('config_template') . 'extension/module/evaluationeight.tpl', $data);
			} else {
				return $this->load->view('extension/module/evaluationeight.tpl', $data);
			}
		}

	}
}